<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en"
      xmlns:th="http://thymeleaf.org/"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="Mark Otto, Jacob Thornton, and Bootstrap contributors">
    <meta name="generator" content="Hugo 0.79.0">
    <title>Starter Template · Bootstrap v5.0</title>

    <link rel="canonical" href="https://getbootstrap.com/docs/5.0/examples/starter-template/">



    <!-- Bootstrap core CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">

    <style>
        .bd-placeholder-img {
            font-size: 1.125rem;
            text-anchor: middle;
            -webkit-user-select: none;
            -moz-user-select: none;
            user-select: none;
        }

        @media (min-width: 768px) {
            .bd-placeholder-img-lg {
                font-size: 3.5rem;
            }
        }
    </style>


    <!-- Custom styles for this template -->
    <link href="starter-template.css" rel="stylesheet">
</head>
<body>

<nav class="navbar navbar-expand-md navbar-dark bg-dark fixed-top">
    <div class="container-fluid">
        <a class="navbar-brand" href="#">Navbar</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarsExampleDefault" aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarsExampleDefault">
            <ul class="navbar-nav me-auto mb-2 mb-md-0">
                <li class="nav-item active">
                    <a class="nav-link" aria-current="page" href="/">Korisnici</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#">Knjige</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link disabled" href="#" tabindex="-1" aria-disabled="true">Disabled</a>
                </li>
                <li class="nav-item dropdown">
                    <a class="nav-link dropdown-toggle" href="#" id="dropdown01" data-bs-toggle="dropdown" aria-expanded="false">Dropdown</a>
                    <ul class="dropdown-menu" aria-labelledby="dropdown01">
                        <li><a class="dropdown-item" href="#">Action</a></li>
                        <li><a class="dropdown-item" href="#">Another action</a></li>
                        <li><a class="dropdown-item" href="#">Something else here</a></li>
                    </ul>
                </li>
            </ul>
            <form class="d-flex">
                <input class="form-control me-2" type="search" placeholder="Search" aria-label="Search">
                <button class="btn btn-outline-success" type="submit">Search</button>
            </form>
        </div>
    </div>
</nav>
<br><br>
<main class="container">

    <div class="container my-2">
        <h1>Employees List</h1>

        <a th:href="@{/knjige/dodajKnjiga}" class="btn btn-primary btn-sm mb-3"> Add Employee </a>

        <table border="1" class="table table-striped table-responsive-md">
            <thead>
            <tr>
                <th>Naziv</th>
                <th>Autor</th>
                <th>Cena</th>
                <th>Godina Izdavanja</th>
                <th>Izdavacka kuca</th>
                <th>Broj stranica</th>
                <th>Jezik</th>
                <th>Zanr:</th>
                <th>Opis</th>
                <th>Pismo</th>
                <th>Povez</th>
                <th>Prosecna ocena</th>
                <th>slika</th>
                <th>Akcija :</th>
            </tr>
            </thead>
            <tbody>






            <tr th:each="knjiga : ${listaKnjiga}">
                <td th:text="${knjiga.naziv}"></td>
                <td th:text="${knjiga.autor}"></td>
                <td th:text="${knjiga.cena}"></td>
                <td th:text="${knjiga.godinaIzdavanja}"></td>
                <td th:text="${knjiga.izdavackaKuca}"></td>
                <td th:text="${knjiga.brojStranica}"></td>
                <td th:text="${knjiga.jezik}"></td>
                <td>
                    <div class="d-flex justify-content-center">
                        <div class="form-check">
                            <form class="form-inline" th:action="@{/filterByZanr}" method="get"
                                  onsubmit="return isAnythingSelected('zanrSelect')">
                                <select class="custom-select my-2" size="2" multiple name="zanrID" id="zanrSelect">
                                    <option th:each="zanr : ${listZanr}" th:value="${zanr.id}" th:text="${zanr.ime}"></option>
                                </select>
                                <button class="btn btn-outline-success ml-1 mr-1" type="submit">Filter</button>
                            </form>
                        </div>
                    </div>
                </td>
                <td th:text="${knjiga.opis}"></td>
                <td th:text="${knjiga.pismoKnjige}"></td>

                <td th:text="${knjiga.povez}"></td>
                <td th:text="${knjiga.prosecnaOcena}"></td>

                <td> <a th:href="@{/updateKnjiga/{isbn}(id=${knjiga.isbn})}" class="btn btn-primary">Update</a>
                    <a th:href="@{/deleteKnjiga/{isbn}(id=${knjiga.isbn})}" class="btn btn-danger">Delete</a>
                </td>
            </tr>
            </tbody>
        </table>
    </div>

</main><!-- /.container -->


<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js" integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW" crossorigin="anonymous"></script>


</body>
</html>
